# Class oops

框架核心模块访问入口

#### Hierarchy

- oops

- Defined in assets/core/Oops.ts:29

#####
Index

### Constructors

constructor

### Properties

audio
config
ecs
game
gui
http
language
log
message
mvvm
random
res
storage
tcp
timer

## Constructors

### constructor

- new oops(): oops

- #### Returns oops

## Properties

### `Static` audio

audio: AudioManager

游戏音乐管理

- Defined in assets/core/Oops.ts:45

### `Static` config

config: Config = ...

游戏配置

- Defined in assets/core/Oops.ts:35

### `Static` ecs

ecs: ECSRootSystem = ...

ECS

- Defined in assets/core/Oops.ts:62

### `Static` game

game: GameManager

三维游戏世界管理

- Defined in assets/core/Oops.ts:49

### `Static` gui

gui: LayerManager

二维界面管理

- Defined in assets/core/Oops.ts:47

### `Static` http

http: HttpRequest = ...

HTTP

- Defined in assets/core/Oops.ts:58

### `Static` language

language: LanguageManager

多语言模块

- Defined in assets/core/Oops.ts:56

### `Static` log

log: typeof Logger = Logger

日志管理

- Defined in assets/core/Oops.ts:33

### `Static` message

message: MessageManager = MessageManager.Instance

全局消息

- Defined in assets/core/Oops.ts:37

### `Static` mvvm

mvvm: VMManager = VM

MVVM

- Defined in assets/core/Oops.ts:64

### `Static` random

random: RandomManager = RandomManager.instance

随机工具

- Defined in assets/core/Oops.ts:39

### `Static` res

res: ResLoader = ...

资源管理

- Defined in assets/core/Oops.ts:51

### `Static` storage

storage: StorageManager = ...

本地存储

- Defined in assets/core/Oops.ts:41

### `Static` tcp

tcp: NetManager = ...

WebSocket

- Defined in assets/core/Oops.ts:60

### `Static` timer

timer: TimerManager

游戏时间管理

- Defined in assets/core/Oops.ts:43

Generated using TypeDoc